## Connection Balance interface Connection Balance interface — client-side wrappers for the Balance interface |

## Functions

TpProxySignalConnection * | tp_cli_connection_interface_balance_connect_to_balance_changed ()
void | (*tp_cli_connection_interface_balance_signal_callback_balance_changed) ()

## Object Hierarchy

## Includes

    #include <telepathy-glib/telepathy-glib-dbus.h>

## Description

In some real-time communication services the user can pay for certain services, typically calls to the PSTN, in advance. In (at least) Skype, it's possible to query the current balance in a machine-readable way.

This section documents the auto-generated C wrappers for the Balance interface, used with TpConnection objects.

## Functions

### tp_cli_connection_interface_balance_connect_to_balance_changed ()

    TpProxySignalConnection *
    tp_cli_connection_interface_balance_connect_to_balance_changed
                                   (TpConnection *proxy,
                                    tp_cli_connection_interface_balance_signal_callback_balance_changed callback,
                                    gpointer user_data,
                                    GDestroyNotify destroy,
                                    GObject *weak_object,
                                    GError **error);

Connect a handler to the signal BalanceChanged.

<tp:docstring xmlns="http://www.w3.org/1999/xhtml"> <p>Emitted when the user's balance has changed.</p>

#### Parameters

proxy | A TpConnection or subclass |
callback | Callback to be called when the signal is received |
user_data | User-supplied data for the callback |
destroy | Destructor for the user-supplied data, which will be called when this signal is disconnected, or before this function returns `NULL` |
weak_object | A GObject which will be weakly referenced; if it is destroyed, this callback will automatically be disconnected |
error | If not `NULL`, used to raise an error if `NULL` is returned |

#### Returns

a TpProxySignalConnection containing all of the above, which can be used to disconnect the signal; or `NULL` if the proxy does not have the desired interface or has become invalid.

### tp_cli_connection_interface_balance_signal_callback_balance_changed ()

    void
    (*tp_cli_connection_interface_balance_signal_callback_balance_changed)
                                   (TpConnection *proxy,
                                    const GValueArray *arg_Balance,
                                    gpointer user_data,
                                    GObject *weak_object);

`tp_cli_connection_interface_balance_signal_callback_balance_changed` is deprecated and should not be used in newly-written code.

Represents the signature of a callback for the signal BalanceChanged.

#### Parameters

proxy | The proxy on which `tp_cli_connection_interface_balance_connect_to_balance_changed()` was called |
arg_Balance | <tp:docstring xmlns="http://www.w3.org/1999/xhtml"> <p>The new value of the <tp:member-ref>AccountBalance</tp:member-ref> property.</p> |
user_data | User-supplied data |
weak_object | User-supplied weakly referenced object |

## Types and Values

## See Also

TpConnection